Name:		vpopmail
Summary:	Vpopmail for QMail Toaster
Version:	5.4.33
Release:	2%{?dist}
License:	GPL
Group:		Networking/Other
URL:		http://www.inter7.com/%{name}
Source0:	http://downloads.sourceforge.net/project/vpopmail/vpopmail-stable/5.4.33/%{name}-%{version}.tar.gz
Patch0:		vpopmail-toaster-5.4.33.patch
Patch1:		vpopmail-build-no-root-5.4.33.patch
Patch2:		vpopmail-build-no-qmail-5.4.33.patch
Patch3:		vpopmail-build-devel-5.4.33.patch
BuildRequires:	automake
BuildRequires:	libev-devel
BuildRequires:  libvpopmail-static
Requires:	libev
Conflicts:      set-toaster, checkpassword
BuildRoot:      %{_topdir}/BUILDROOT/%{name}-%{version}-%{release}.%{_arch}

%define debug_package %{nil}
%define vdir    /home/vpopmail

#-------------------------------------------------------------------------------
%description
#-------------------------------------------------------------------------------
vpopmail (vchkpw)  is a collection  of programs  and a library to automate
the creation and maintence of virtual domain email for qmail installations
using either a single UID/GID, or any valid  UID/GID in /etc/passwd with a
home directory. All the  features  are  provided  in the library for other
applications which need to maintain virtual domain email accounts.

It supports named or IP based domains.  It works with vqadmin, qmailadmin,
vqregister, sqwebmail, and dovecot.

It supports MySQL,  Sybase,  Oracle,  LDAP,  and  file-based (DJB constant
database) authentication.

It handles 10 to 10 million users, and over 500K domains.

           vpopmail 5.4.33
            Current settings
---------------------------------------

vpopmail directory = /home/vpopmail
 domains directory = /home/vpopmail/domains
               uid = 89
               gid = 89
     roaming users = OFF --disable-roaming-users (default)
 password learning = OFF --disable-learn-passwords (default)
     md5 passwords = ON  --enable-md5-passwords (default)
      file locking = ON  --enable-file-locking (default)
vdelivermail fsync = OFF --disable-file-sync (default)
     make seekable = ON  --enable-make-seekable (default)
      clear passwd = ON  --enable-clear-passwd (default)
 user dir hashing  = ON  --enable-users-big-dir (default)
address extensions = OFF --disable-qmail-ext (default)
          ip alias = OFF --disable-ip-alias-domains (default)
   onchange script = OFF --disable-onchange-script (default)
     domain quotas = OFF --disable-domainquotas (default)
       auth module = cdb --enable-auth-module=cdb (default)
          auth inc = -Icdb
          auth lib =
  system passwords = OFF --disable-passwd (default)
        pop syslog = log success and errors including passwords --enable-logging=v
      auth logging = ON  --enable-auth-logging (default)
      spamassassin = OFF --disable-spamassassin (default)
          maildrop = OFF --disable-maildrop (default)

#-------------------------------------------------------------------------------
%prep
#-------------------------------------------------------------------------------
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

#-------------------------------------------------------------------------------
%build
#-------------------------------------------------------------------------------
autoreconf
%{__automake}
%{__autoconf}
./configure --enable-clear-passwd --enable-logging=v
make

pushd vusaged
  %{__autoconf}
  ./configure --with-vpopmail=%{_sysconfdir}/libvpopmail
  make
popd

#-------------------------------------------------------------------------------
%install
#-------------------------------------------------------------------------------
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Install domain quota messages
#-------------------------------------------------------------------------------
# install overquota.msg  %{buildroot}%{vdir}/domains
%{__install} quotawarn.msg %{buildroot}%{vdir}/domains/.quotawarn.msg

# Remove devel files since they're in libvpopmail-devel now
#-------------------------------------------------------------------------------
%{__rm} %{buildroot}%{vdir}/etc/*_deps
rm -rf  %{buildroot}%{vdir}/include \
        %{buildroot}%{vdir}/lib

# Install vusaged
#-------------------------------------------------------------------------------
%{__install} -p  vusaged/vusaged             %{buildroot}%{vdir}/bin/
%{__install} -p  vusaged/etc/vusaged.conf    %{buildroot}%{vdir}/etc/
%{__install} -Dp vusaged/contrib/rc.vusaged  %{buildroot}%{_initrddir}/vusaged
# TODO: vusaged.conf and vusagec.conf might need to be edited

#-------------------------------------------------------------------------------
%clean
#-------------------------------------------------------------------------------
%{__rm} -rf %{buildroot}

#-------------------------------------------------------------------------------
%pre
#-------------------------------------------------------------------------------
# Remove postfix user and group if they exist
#-------------------------------------------------------------------------------

rpm -q postfix >/dev/null 2>&1
rc=$?

if [ "$rc" == "0" ]; then
  service postfix status >/dev/null 2>&1
  rc=$?
  if [ "$rc" == "0" ]; then
    service postfix stop >/dev/null 2>&1
  fi
  chkconfig postfix off >/dev/null 2>&1
fi

if [ "`/usr/bin/id -u postfix 2>/dev/null`" == "89" ]; then
  /usr/sbin/userdel postfix
fi
 
#-------------------------------------------------------------------------------
# Create group and user for vpopmail if they don't exist
#-------------------------------------------------------------------------------
if [ -z "`/usr/bin/id -g vchkpw 2>/dev/null`" ]; then
  /usr/sbin/groupadd -g 89 -r vchkpw 2>&1 || :
fi

if [ -z "`/usr/bin/id -u vpopmail 2>/dev/null`" ]; then
  /usr/sbin/useradd -u 89 -r -M -d %{vdir}  -s /sbin/nologin -c "Vpopmail User" -g vchkpw vpopmail 2>&1 || :
fi

#-------------------------------------------------------------------------------
%preun
#-------------------------------------------------------------------------------
if [ "$1" = "0" ]; then
  if [ ! -z "`/usr/bin/id -u vpopmail 2>/dev/null`" ]; then
    userdel vpopmail 2> /dev/null
  fi
  if [ ! -z "`/usr/bin/id -g vchkpw 2>/dev/null`" ]; then
    groupdel vchkpw 2> /dev/null
  fi
fi

#-------------------------------------------------------------------------------
%post
#-------------------------------------------------------------------------------

if [ "$1" = "1" ]; then
  chkconfig --add vusaged
# chkconfig vusaged on
# service vusaged start
fi

#-------------------------------------------------------------------------------
%files
#-------------------------------------------------------------------------------
%defattr (-,vpopmail,vchkpw)
%attr(0700,vpopmail,vchkpw) %dir %{vdir}
%attr(0755,vpopmail,vchkpw) %dir %{vdir}/bin
%attr(0755,vpopmail,vchkpw) %dir %{vdir}/etc
%attr(0700,vpopmail,vchkpw) %dir %{vdir}/domains

%attr(0751,vpopmail,vchkpw) %{vdir}/bin/*
%attr(0750,vpopmail,vchkpw) %{_initrddir}/vusaged
%attr(0644,vpopmail,vchkpw) %{vdir}/domains/.quotawarn.msg
#%attr(0644,vpopmail,vchkpw) %{vdir}/domains/.overquota.msg
%attr(0644,vpopmail,vchkpw) %{vdir}/etc/vusagec.conf
%attr(0644,vpopmail,vchkpw) %{vdir}/etc/vusaged.conf
%attr(0644,vpopmail,vchkpw) %config(noreplace) %{vdir}/etc/vlimits.default

%attr(0755,vpopmail,vchkpw) %dir %{vdir}/doc
%attr(0755,vpopmail,vchkpw) %dir %{vdir}/doc/doc_html
%attr(0755,vpopmail,vchkpw) %dir %{vdir}/doc/man_html
%attr(0444,vpopmail,vchkpw) %{vdir}/doc/doc_html/*
%attr(0444,vpopmail,vchkpw) %{vdir}/doc/man_html/*

#-------------------------------------------------------------------------------
%changelog
#-------------------------------------------------------------------------------
* Wed Nov 01 2017 Eric Broch <ebroch@whitehorsetc.com> 5.4.33-2.qt
- CDB version
* Sat Jan 17 2015 Eric Broch <ebroch@whitehorsetc.com> 5.4.33-1.qt
- Changed MySQL server and devel dependencies to MariaDB for CentOS 7
* Sun Dec 15 2013 Eric Shubert <eric@datamatters.us> 5.4.33-0.qt
- Split out libvpopmail package. This still needs more work to be clean.
* Fri Dec 06 2013 Eric Shubert <eric@datamatters.us> 5.4.33-0.qt
- Added script to secure and initialize mysql database
* Fri Nov 15 2013 Eric Shubert <eric@datamatters.us> 5.4.33-0.qt
- Migrated to github
- Removed -toaster designation
- Created vpopmail-build-no-root patch. Thanks go to Johannes Weberhofer.
- Added CentOS 6 support
- Removed unsupported cruft
- Created separate -devel package
* Wed Aug  1 2012 Eric Shubert <eric@datamatters.us> 5.4.33-1.4.0
- Bumped version to 1.4.0
* Fri Feb 25 2011 Jake Vickers <jake@qmailtoaster.com> 5.4.33-1.3.8
- Updated vpopmail to 5.4.33
- Re-diffed the qmailtoaster patch for 5.4.33
* Fri Jun 12 2009 Jake Vickers <jake@qmailtoaster.com> 5.4.17-1.3.7
- Added Fedora 11 support
- Added Fedora 11 x86_64 support
* Tue Jun 02 2009 Jake Vickers <jake@qmailtoaster.com> 5.4.17-1.3.7
- Added Mandriva 2009 support
* Wed Apr 22 2009 Jake Vickers <jake@qmailtoaster.com> 5.4.17-1.3.6
- Added Fedora 9 x86_64 and Fedora 10 x86_64 support
* Fri Feb 13 2009 Jake Vickers <jake@qmailtoaster.com> 5.4.17-1.3.5
- Added Suse 11.1 support
* Sun Feb 08 2009 Jake Vickers <jake@qmailtoaster.com> 5.4.17-1.3.5
- Added Fedora 9 and 10 support
* Sat Apr 14 2007 Nick Hemmesch <nick@qmailtoaster.com> 5.4.17-1.3.4
- Update to vpopmail-5.4.17
- Added CentOS 5 i386 support
- Added CentOS 5 x86_64 support
* Wed Nov 01 2006 Erik A. Espinoza <espinoza@forcenetworks.com> 5.4.13-1.3.3
- Added Fedora Core 6 support
* Fri Jul 14 2006 Erik A. Espinoza <espinoza@forcenetworks.com> 5.4.13-1.3.2
- Added vpopmail-5.4.13-mysql patch, fixes mysql's gone away error
* Mon Jun 05 2006 Nick Hemmesch <nick@ndhsoft.com> 5.4.13-1.3.1
- Add SuSE 10.1 support
* Sat May 13 2006 Nick Hemmesch <nick@ndhsoft.com> 5.4.13-1.2.12
- Add Fedora Core 5 support
* Fri Apr 28 2006 Nick Hemmesch <nick@ndhsoft.com> 5.4.13-1.2.11
- Update to vpopmail-5.4.13
* Sun Nov 20 2005 Nick Hemmesch <nick@ndhsoft.com> 5.4.10-1.2.10
- Add SuSE 10.0 and Mandriva 2006.0 support
* Fri Oct 14 2005 Nick Hemmesch <nick@ndhsoft.com> 5.4.10-1.2.9
- Add Fedora Core 4 x86_64 support
- Make vlimits.default and vpopmail.mysql no replace config files
* Sat Oct 01 2005 Nick Hemmesch <nick@ndhsoft.com> 5.4.10-1.2.8
- Add CentOS 4 x86_64 support
* Wed Jun 29 2005 Nick Hemmesch <nick@ndhsoft.com> 5.4.10-1.2.7
- Add Fedora Core 4 support
* Fri Jun 03 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 5.4.10-1.2.6
- Gnu/Linux Mandrake 10.0,10.1,10.2 support
* Fri May 20 2005 Nick Hemmesch <nick@ndhsoft.com> 5.4.10-1.2.5
- Update to vpopmail-5.4.10
- Create group and user
* Tue Mar 15 2005 Nick Hemmesch <nick@ndhsoft.com> 5.4.4-1.2.4
- Add patch to build vpopmail before qmail
- Fix domainquotas
* Sun Feb 27 2005 Nick Hemmesch <nick@ndhsoft.com> 5.4.4-1.2.3
- Add Fedora Core 3 support
- Add CentOS suport
* Wed Jun 02 2004 Nick Hemmesch <nick@ndhsoft.com> 5.4.4-1.2.2
- Update to vpopmail-5.4.4
- Add Fedora Core 2 support
* Tue May 04 2004 Nick Hemmesch <nick@ndhsoft.com> 5.4.3-1.2.1
- Major rebuild of spec file
- Update to vpopmail-5.4.3
- Make rpm patch and config patch
* Sun Feb 22 2004 Nick Hemmesch <nick@ndhsoft.com> 5.3.8-1.0.12
- By popular demand, make no roaming users the default install
- Allow roaming users with "roaming" switch
* Sun Feb 15 2004 Nick Hemmesch <nick@ndhsoft.com> 5.3.8-1.0.11
- Set roaming user clear time to 15 minutes
* Mon Jan 12 2004 Nick Hemmesch <nick@ndhsoft.com> 5.3.8-1.0.10
- Fix for Trustix 2.0 by Christian Dietrich
* Sat Jan 10 2004 Nick Hemmesch <nick@ndhsoft.com> 5.3.8-1.0.9
- Add Fedora Core 1 support
- Fix Trustix 2.0 - change dependency
- Add no roaming-users as an option
- Add 15 minute expiration for roaming users
* Sun Nov 23 2003 Nick Hemmesch <nick@ndhsoft.com> 5.3.8-1.0.8
- Add Trustix 2.0
- Fix cdb function
- New patch to fix vmysql.h configure and to allow rpm build
* Sat Apr 26 2003 Miguel Beccari <miguel.beccari@clikka.com> 5.3.8-1.0.7
- Clean-ups on SPEC file: compilation banner, better gcc detects
- Detect gcc-3.2.3
- Red Hat Linux 9.0 support (nick@ndhsoft.com)
- Gnu/Linux Mandrake 9.2 support
* Wed Apr 02 2003 Miguel Beccari <miguel.beccari@clikka.com> 5.3.8-1.0.6
- Clean-ups
* Mon Mar 31 2003 Miguel Beccari <miguel.beccari@clikka.com> 5.3.8-1.0.5
- Conectiva Linux 7.0 support
* Sat Feb 15 2003 Nick Hemmesch <nick@ndhsoft.com> 5.3.8-1.0.4
- Support for Red Hat 8.0
* Wed Feb 05 2003 Miguel Beccari <miguel.beccari@clikka.com> 5.3.8-1.0.3
- Support for Red Hat 8.0 thanks to Andrew.J.Kay
* Sat Feb 01 2003 Miguel Beccari <miguel.beccari@clikka.com> 5.3.8-1.0.2
- Redo Macros to prepare supporting larger RPM OS.
  We could be able to compile (and use) packages under every RPM based
  distribution: we just need to write right requirements.
* Sat Jan 25 2003 Miguel Beccari <miguel.beccari@clikka.com> 5.3.8-1.0.1
- Added MDK 9.1 support
- Try to use gcc-3.2.1
- Added very little patch to compile with newest GLIBC
- Support dor new RPM-4.0.4
* Sat Oct 05 2002 Miguel Beccari <miguel.beccari@clikka.com> 5.3.8-0.9.2
- Soft clean-ups
* Sun Sep 29 2002 Miguel Beccari <miguel.beccari@clikka.com> 5.3.8-0.9.1
- RPM macros to detect Mandrake, RedHat, Trustix are OK again. They are
  very basic but they should work.
- Packages are named with their proper releases and bversion is from now
  part of the rpm release: we will continue upgrading safely.
* Mon Sep 23 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.8.5.3.8-1
- Rebuilded under 0.8 tree.
- Important comments translated from Italian to English.
- Written rpm rebuilds instruction at the top of the file (in english).
- Clean-ups
* Sun Sep 22 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.7.5.3.8-3
- Now cron-job works 100%!!!
* Thu Aug 29 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.7.5.3.8-2
- Deleted Mandrake Release Autodetection (creates problems)
* Fri Aug 16 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.7.5.3.8-1
- New version: 0.7 toaster.
- Better macros to detect Mandrake Release
- Minor clean-ups.
* Tue Aug 13 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.6.5.3.8-1
- New version: 0.6 toaster.
* Mon Aug 12 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.5.5.3.8-1
- Doc package is standalone (someone does not ask for man pages)
- Checks for gcc-3.2 (default compiler from now)
- New version: 0.5 toaster.
* Thu Aug 08 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.4.5.3.8-1
* Rebuild agains 0.4 toaster
- new version 5.3.8
* Tue Aug 06 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.3.5.3.5-4
- Deleted userdel and groupdel in uninstallation (safe): if the user
  wants to delete he has to do it manually (more safe)
* Wed Jul 31 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.3.5.3.5-3
- Written a patch that makes vpopmail constantly reading from sql:
  in this way tou can change on the fly sql values and we could build
  binaries version of packages (because passwords are out of the code)
* Tue Jul 30 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.3.5.3.5-2
- Now packages have got 'no sex': you can rebuild them with command line
  flags for specifics targets that are: RedHat, Trustix, and of course
  Mandrake (that is default)
* Sun Jul 28 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.2.5.3.5.1mdk
- toaster v. 0.3: now it is possible upgrading safely because of 'pversion'
  that is package version and 'version' that is toaster version
* Thu Jul 25 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.2-5.3.5.1mdk
- toaster v. 0.2: Very soft clean-ups.
* Mon Jul 22 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.1-5.3.5.4mdk
- Added useradd -r flag to create systems account. That is, an user with an
  UID  lower  than  value  of UID_MIN defined in /etc/login.defs
* Thu Jul 18 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.1-5.3.5.3mdk
- Added toaster version (we will need to mantain it too): is vtoaster 0.1
- Added cron.d files
- Added tests to make gcc to be 3.1.1
- Very soft clean-ups.
* Wed Jul 10 2002 Miguel Beccari <mighi@clikka.com> 5.3.5 2mdk
- Better dependecings (with ucspi-tcp)
- Changed the name in vpopmail-toaster beacuse we are going
  building *-toaster packages.
* Mon Jul 08 2002 Miguel Beccari <mighi@clikka.com> 5.3.5 1mdk
- First package (needs a lot of work).
- However the package is able to:
  * detect if user vpopmail exists (if not it creates)
  * detect if group exists (if not it creates)
  * apply a light patch stuff for 'make install' operations
  * read /var/qmail/control/sql and patch vmysql.h
